import { Hono, Context } from 'hono';
import { Feed } from 'feed';

const feed = new Hono();
let feedBuffer: string = "";

export async function getFeedFile(c: Context) {
  c.header('Content-Type', 'text/xml');

  if (!feedBuffer) {
    // get the post meta
    // get the site meta
    // create the feed
    // get the feed data
    feedBuffer = "";
  }

  c.body(feedBuffer);
}

feed.get('/rss.xml', getFeedFile);
export default feed;
